跳轉到主要內容
GET
/
v2
/
webhook
/
endpoint
端點 - 列表
curl --request GET \
  --url https://api.chainstream.io/v2/webhook/endpoint \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
      "url": "https://example.com",
      "channels": [
        "sol.token.migrated"
      ],
      "createdAt": "2021-01-01T00:00:00.000Z",
      "description": "Webhook description",
      "disabled": false,
      "filter": "<string>",
      "filterTypes": [
        "<string>"
      ],
      "metadata": {
        "key": "value"
      },
      "rateLimit": 1000,
      "updatedAt": "2021-01-01T00:00:00.000Z"
    }
  ],
  "done": false,
  "iterator": "eyJpZCI6MTAwfQ==",
  "prevIterator": "eyJpZCI6MTAwfQ=="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查詢參數

limit
integer<int64>

每頁結果數量

必填範圍: 1 <= x <= 100
iterator
string

分頁迭代器

order
enum<string>

排序方式 Ordering direction for paginated endpoint listing

可用選項:
ascending,
descending

回應

200 - application/json

成功回應

Paginated list of webhook endpoints

data
object[]
必填

分頁端點列表

done
boolean
必填

分頁是否完成

範例:

false

iterator
string | null

目前頁迭代器

範例:

"eyJpZCI6MTAwfQ=="

prevIterator
string | null

上一頁迭代器

範例:

"eyJpZCI6MTAwfQ=="